<template>
  <button
    class="signIn-btn signIn-btn-plain"
    :class="classes"
    @click="click">
    <div class="signIn-btn-inner">
      <span class="signIn-btn-text"><slot></slot></span>
      <slot name="img"></slot>
      <span class="signIn-btn-append"><slot name="append"></slot></span>
    </div>
  </button>
</template>

<script>
  export default {
    name: "Btn_sign_plain",
    data() {
      return {}
    },
    props: {
      scatter: {
        type: Boolean,
        default: false
      },
      lynx: {
        type: Boolean,
        default: false
      },
      qr: {
        type: Boolean,
        default: false
      },
      transparent: {
        type: Boolean,
        default: false
      },
      disabled: {
        type: Boolean,
        default: false
      },
      big: {
        type: Boolean,
        default: false
      }
    },
    computed: {
      classes() {
        const scatter = this.scatter ? 'signIn-btn-scatter' : '';
        const lynx = this.lynx ? 'signIn-btn-lynx' : '';
        const qr = this.qr ? 'signIn-btn-qr' : '';
        const disabled = this.disabled ? ' disabled' : '';
        const c = scatter + lynx + qr + disabled;
        if (c) return c;
        const transparent = this.transparent ? 'signIn-btn-transparent' : '';
        const big = this.big ? ' signIn-btn-big' : '';
        return transparent || 'signIn-btn-default' + big;
      }
    },
    methods: {
      click() {
        if (this.disabled) return;
        this.$emit('click');
      }
    }
  }
</script>
